Package org.apache.sysds.runtime.compress.colgroup.mapping

# Enum Class MapToFactory.MAP_TYPE

java.lang.Object
java.lang.Enum<MapToFactory.MAP_TYPE>
org.apache.sysds.runtime.compress.colgroup.mapping.MapToFactory.MAP_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<MapToFactory.MAP_TYPE>`, `Constable`

Enclosing interface:
  MapToFactory

public static enum MapToFactory.MAP_TYPE extends Enum<MapToFactory.MAP_TYPE>
The different supported types of mappings.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BIT`
`BYTE`
`CHAR`
`CHAR_BYTE`
`INT`
`UBYTE`
`ZERO`

## Method Summary

Modifier and Type
Method
Description
`static MapToFactory.MAP_TYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapToFactory.MAP_TYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ZERO

public static final MapToFactory.MAP_TYPE ZERO

### BIT

public static final MapToFactory.MAP_TYPE BIT

### UBYTE

public static final MapToFactory.MAP_TYPE UBYTE

### BYTE

public static final MapToFactory.MAP_TYPE BYTE

### CHAR

public static final MapToFactory.MAP_TYPE CHAR

### CHAR_BYTE

public static final MapToFactory.MAP_TYPE CHAR_BYTE

### INT

public static final MapToFactory.MAP_TYPE INT

## Method Details

### values

public static MapToFactory.MAP_TYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MapToFactory.MAP_TYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null